summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <roy@uberserver.marples.name>2009-08-19 16:49:35 +0100
committerRoy Marples <roy@uberserver.marples.name>2009-08-19 16:49:35 +0100
commit51907c7368164906742027a13e4f292840a7475b (patch)
tree50d7fa66aec3a990d32a7d6cc24b58c6bd5338ce
parent8da7a49d024adf773ea677d65843fdc08a36c340 (diff)
downloadopenrc-51907c7368164906742027a13e4f292840a7475b.tar.gz
openrc-51907c7368164906742027a13e4f292840a7475b.tar.bz2
openrc-51907c7368164906742027a13e4f292840a7475b.tar.xz
If there is an error setting the font, abort instead of trying to set
the font for subsequent consoles.
-rw-r--r--init.d/consolefont.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/init.d/consolefont.in b/init.d/consolefont.in
index ded9b4e..5222814 100644
--- a/init.d/consolefont.in
+++ b/init.d/consolefont.in
@@ -45,8 +45,10 @@ start()
[ -d /dev/vc ] && ttydev=/dev/vc/
x=1
while [ $x -le $ttyn ]; do
- setfont $consolefont $param -C $ttydev$x >/dev/null
- retval=$(($retval + $?))
+ if ! setfont $consolefont $param -C $ttydev$x >/dev/null; then
+ retval=1
+ break
+ fi
x=$(($x + 1))
done
eend $retval